Provider connections
List provider connections
List this organization’s provider connections.
GET
/
v1
/
source-connections
List provider connections
curl --request GET \
--url https://api.getmillwork.dev/v1/source-connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/source-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"connections": [
{
"access_lane": "byok",
"auth_binding_ref": "<string>",
"auth_scheme": "api_key",
"binding_revision": 123,
"commercial_owner": "customer",
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_owner": "customer",
"customer_ref": "<string>",
"display_name": "<string>",
"last_tested_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"rotated_at": "2023-11-07T05:31:56Z",
"source_id": "<string>",
"source_scope": {
"account_ref": "<string>",
"kind": "account"
},
"status": "active",
"test_error": "authentication",
"test_state": "untested",
"tested_binding_revision": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}⌘I
List provider connections
curl --request GET \
--url https://api.getmillwork.dev/v1/source-connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/source-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"connections": [
{
"access_lane": "byok",
"auth_binding_ref": "<string>",
"auth_scheme": "api_key",
"binding_revision": 123,
"commercial_owner": "customer",
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_owner": "customer",
"customer_ref": "<string>",
"display_name": "<string>",
"last_tested_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"rotated_at": "2023-11-07T05:31:56Z",
"source_id": "<string>",
"source_scope": {
"account_ref": "<string>",
"kind": "account"
},
"status": "active",
"test_error": "authentication",
"test_state": "untested",
"tested_binding_revision": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}